Skip to main content
GET
/
coupons
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request GET "$LAGO_URL/api/v1/coupons?per_page=2&page=1" \
  --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError

client = Client(api_key='__YOUR_API_KEY__')

try:
    client.coupons.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
    repair_broken_state(e)  # do something on error or raise your own exception
require 'lago-ruby-client'

client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')

client.coupons.get_all({ per_page: 2, page: 3 })
await client.coupons.findAllCoupons({ per_page: 2, page: 3 });
import "fmt"
import "github.com/getlago/lago-go-client"

func main() {
lagoClient := lago.New().
    SetApiKey("__YOUR_API_KEY__")

couponListInput := &lago.CouponListInput{
    PerPage: 1,
    Page: 1,
}

couponResult, err := lagoClient.Coupon().GetList(couponListInput)
if err != nil {
    // Error is *lago.Error
    panic(err)
}

// couponResult is *lago.CouponResult
fmt.Println(couponResult)
}
{
  "coupons": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "name": "Startup Deal",
      "code": "startup_deal",
      "coupon_type": "fixed_amount",
      "reusable": true,
      "limited_plans": true,
      "limited_billable_metrics": false,
      "frequency": "recurring",
      "expiration": "time_limit",
      "created_at": "2022-04-29T08:59:51Z",
      "description": "I am a coupon description",
      "amount_cents": 5000,
      "amount_currency": "USD",
      "plan_codes": [
        "startup_plan"
      ],
      "billable_metric_codes": [],
      "percentage_rate": null,
      "frequency_duration": 6,
      "expiration_at": "2022-08-08T23:59:59Z",
      "terminated_at": "2022-08-08T23:59:59Z"
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}
{
"status": 401,
"error": "Unauthorized"
}
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request GET "$LAGO_URL/api/v1/coupons?per_page=2&page=1" \
  --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError

client = Client(api_key='__YOUR_API_KEY__')

try:
    client.coupons.find_all({'per_page': 2, 'page': 1})
except LagoApiError as e:
    repair_broken_state(e)  # do something on error or raise your own exception
require 'lago-ruby-client'

client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')

client.coupons.get_all({ per_page: 2, page: 3 })
await client.coupons.findAllCoupons({ per_page: 2, page: 3 });
import "fmt"
import "github.com/getlago/lago-go-client"

func main() {
lagoClient := lago.New().
    SetApiKey("__YOUR_API_KEY__")

couponListInput := &lago.CouponListInput{
    PerPage: 1,
    Page: 1,
}

couponResult, err := lagoClient.Coupon().GetList(couponListInput)
if err != nil {
    // Error is *lago.Error
    panic(err)
}

// couponResult is *lago.CouponResult
fmt.Println(couponResult)
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

Response

Coupons

coupons
object[]
required
meta
object
required